Subject: bug#7797: Configure the use of from header for epg signing.

From: Luca Capello <[email-masked]>
Date: Wed, 09 Feb 2011 13:03:46 +0100

Hi there!

I am sorry for being late, preparing/attending FOSDEM got all my time.

On Fri, 28 Jan 2011 02:08:08 +0100, Daiki Ueno wrote:
> Julien Danjou <[email-masked]> writes:
>
>>> It looks good to me.  Since I'm thinking of another tweak related to
>>> signing, I'll apply this patch soon unless anyone objects.
>>
>> Sorry, I got bitten by this today and fixed it without seeing this
>> thread before. I've just fixed the same way Daniel did, so no harm done.
>> :)
>
> Cool, thanks :) I just installed another tweak now (commit 5999faac),
> which implements Luca's suggestion #2 at:
>
> http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7797#16
>
> Testing would be appreciated.

I backported your patch on top of your first one [1] and Julien's [2]
and everything is working as expected, thanks:

(setq mml2015-signers nil)
=> Passphrase for D91D57A03BE9F36D Luca Capello <[email-masked]>:

(setq mml2015-signers (list "3BE9F36D"))
=> Passphrase for D91D57A03BE9F36D Luca Capello <[email-masked]>

(setq mml2015-signers (list "9DDB992B"))
=> No secret key for 9DDB992B; skip it? (y or n) y
   Passphrase for D91D57A03BE9F36D Luca Capello <[email-masked]>:

(setq mml2015-signers (list "9DDB992B" "3BE9F36D"))
=> No secret key for 9DDB992B; skip it? (y or n) y
   Passphrase for D91D57A03BE9F36D Luca Capello <[email-masked]>:

[1] <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7797#13>
[2] <http://debbugs.gnu.org/cgi/bugreport.cgi?bug=7797#39>
    FWIW I would have preferred Daniel's patch, the variable name was a
    bit clearer and more self-explicative, but never mind, what is
    important is that it is fixed!

BTW, the description for `mml2015-signers' still needs
--8<---------------cut here---------------start------------->8---
diff --git a/lisp/mml2015.el b/lisp/mml2015.el
index 1271168..df106bb 100644
--- a/lisp/mml2015.el
+++ b/lisp/mml2015.el
@@ -116,7 +116,7 @@ Whether the passphrase is cached at all is controlled by
   :type 'integer)
 
 (defcustom mml2015-signers nil
-  "A list of your own key ID which will be used to sign a message.
+  "A list of your own key ID(s) which will be used to sign a message.
 If set, it overrides the setting of `mml2015-sign-with-sender'."
   :group 'mime-security
   :type '(repeat (string :tag "Key ID")))
--8<---------------cut here---------------end--------------->8---

Apart from the above, given that all the patches have been included in
the emacs tree, this bug should be closed, I leave this to you ;-)

Thx, bye,
Gismo / Luca